Bug 729700

Summary: Feature request for auth options from alternate version
Product: [Fedora] Fedora Reporter: jcpunk
Component: pam_krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 19CC: dpal, nalin, riehecky, rmainz, sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:50:24 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description jcpunk 2011-08-10 11:10:49 EDT
Description of problem:
There is an alternate version of pam_krb5 in use by other Linux distribution (SUSE, Debian, Ubuntu).  It contains some features which are required by my environment (prompt_principle, alt_auth_map, search_k5login).  If these features could be added to the Fedora/RHEL module that would simplify my deployment while not interfering with existing configurations.

At my site I've got systems with controlled access.  The systems are configured for */root principles, but there isn't an elegant way to require use of that principle for login rather than their non-compound principle.

I also have a set of systems which require a shared account, but I cannot give them a shared password.  The users are all configured for kerberized ssh into the system as the shared user, but they also need local login to the shared account.

Version-Release number of selected component (if applicable): all


How reproducible: always


Steps to Reproduce:
1. need to map kerberos compound principles to traditional user names, can't

1. have a shared account, but policy forbids shared passwords
2. all users of the shared account are in the k5login
3. users need local auth to the shared account
  
Actual results:
No elegant solution except replacing pam_krb5 with a 3rd party application.

Expected results:
A way of making these changes without going outside of the tree.

Additional info:

The GPL code for this other module is at http://www.eyrie.org/~eagle/software/pam-krb5/
Comment 1 Dmitri Pal 2011-08-10 17:03:06 EDT
Hello,

Our component of choice is SSSD. I doubt we will do any significant changes for pam_krb5. But we are open to enhancements to SSSD. Ubuntu, SUSE and Debian carry SSSD too so you will get the same experience across. 

Can you please provide a detailed description of the features you need?
It seems that I am missing something as .k5login seems to provide aliasing you are looking for. The top of the post talks about several features but the bottom seems to drill into only one.

Also from the description above some things sound really not inline with best practices so there might be some push back from the community.   

Thank you
Dmitri
Comment 2 jcpunk 2011-08-10 18:03:23 EDT
I will confess a limited understanding of SSSD.  I'll have to go read some doc on that.  If this makes more sense over there, thats fine with me.

As for a more detailed description.  For the mapping of identities, lets say I have principles 'jcpunk@EXAMPLE.COM' and 'jcpunk/admin@EXAMPLE.COM' and, on certain sensitive systems, I want to force the use of /admin@EXAMPLE.COM principles for all logins.  Right now, if I were to sit in front of the system and try to login as 'jcpunk' the system would attempt to authenticate 'jcpunk@EXAMPLE.COM' rather than 'jcpunk/admin@EXAMPLE.COM'.  One of the features of this alternate pam_krb5 is to change that behavior and adjust the principle being authenticated.  The current pam_krb5 simply slaps a domain on the end of the provided username.  I'd like some more control.

As for 'prompt_principle' and 'search_k5login', at my site I have a weird issue on certian systems where the username required for operations does not (and cannot) match the kerberos principle in any meaningful way.  These features allow me to effectively alias a user to an apparently unrelated kerberos principle.  If, for example, I needed to login to the system as 'pat' but also needed the kerberos rights of 'jcpunk@EXAMPLE.COM' these features provide two ways of doing this (the one simply asks for the principle and the other checks .k5login for it).  I realize the first idea that comes to mind is login and then kinit, however, the home area is kerberized NFS so I need both the user and principle at login or no dice.  The .k5login works just fine for GSSAPI auth, but, for local logins where no ticket yet exists, it doesn't help.

I hope this was more helpful.
Comment 3 Fedora End Of Life 2013-04-03 12:27:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:44:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:50:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.